Last Comment Bug 343046 - Fix cosmetic issues with the Downloads prefPane
: Fix cosmetic issues with the Downloads prefPane
Status: VERIFIED FIXED
: verified1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Preferences (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on:
Blocks: 325880
  Show dependency treegraph
 
Reported: 2006-06-28 15:54 PDT by Smokey Ardisson (offline for a while; not following bugs - do not email)
Modified: 2006-08-25 15:13 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
New Downloads.nib (8.09 KB, application/zip)
2006-06-29 14:56 PDT, froodian (Ian Leue)
no flags Details
Screenshot (58.33 KB, image/png)
2006-06-29 14:56 PDT, froodian (Ian Leue)
no flags Details
New Downloads.nib (8.11 KB, application/zip)
2006-06-29 21:49 PDT, froodian (Ian Leue)
alqahira: review+
mikepinkerton: superreview+
Details
Screenshot (57.12 KB, image/png)
2006-06-29 21:50 PDT, froodian (Ian Leue)
no flags Details

Description User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-06-28 15:54:27 PDT
Bug 341701 required some nib changes for clarity (which didn't happen):

When we fix this, we should also reword the pref text to include the word
"successful" (or similar) to clarify, and change the "Upon successful download"
option text to be "When the download finishes" (or "is complete" or similar) to
eliminate redundancy.

--
We should also make the hint text position consistent with other hints and verify overall pane width and spacing, keyboard loop and first responder.
Comment 1 User image froodian (Ian Leue) 2006-06-29 14:56:14 PDT
Created attachment 227619 [details]
New Downloads.nib

I'm not really sure about the text here.  It now reads (when spoken) as "Remove successful downloads when the download completes," which doesn't have agreeing case. (dowloads / the download), but having a popup menu that just says "When they complete" seems bad too.  "Remove successfully downloaded items" is out because it's too long...  Thoughts?
Comment 2 User image froodian (Ian Leue) 2006-06-29 14:56:48 PDT
Created attachment 227620 [details]
Screenshot
Comment 3 User image froodian (Ian Leue) 2006-06-29 21:49:53 PDT
Created attachment 227659 [details]
New Downloads.nib

Refined on IRC
Comment 4 User image froodian (Ian Leue) 2006-06-29 21:50:58 PDT
Created attachment 227660 [details]
Screenshot
Comment 5 User image J Luh 2006-07-04 07:30:16 PDT
I think "passed off" should be "passed on." In U.S. English, "pass off" means to offer up an imitation as something genuine (see http://dictionary.reference.com/browse/pass)
Comment 6 User image Chris Lawson (gone) 2006-07-05 22:48:08 PDT
"Passed off as" and "passed off to" are two completely different phrases.

Our current terminology is perfectly fine.

cl
Comment 7 User image froodian (Ian Leue) 2006-07-05 22:59:38 PDT
This new nib:

- Changes "Remove download list items: \ Upon successful download" to "Remove successful downloads: \ Upon completion"
- Unindents the hint text at the bottom of the pane
Comment 8 User image Mike Pinkerton (not reading bugmail) 2006-07-21 06:24:17 PDT
Comment on attachment 227659 [details]
New Downloads.nib

sr=pink
Comment 9 User image Nick Kreeger 2006-07-21 17:52:38 PDT
Fixed trunk and branch

Note You need to log in before you can comment on or make changes to this bug.